{% extends '::base.html.twig' %}
{% block head %}
    <script type="text/javascript">
    $(document).ready(function () {
            $(".openform").css("display","none");
            if ($('#partner_managerbundle_partner_type option:selected').val() == 1){
                $(".company").css("display","none");
                $("#partner_managerbundle_partner_companyname").removeProp("required");
                $("#partner_managerbundle_partner_companyregistrationnumber").removeProp("required");
                $("#person").css("display","block");
                $("#partner_managerbundle_partner_prefix").prop("required");
                $("#partner_managerbundle_partner_lastname").prop("required");
                $("#partner_managerbundle_partner_firstname").prop("required");
            }
            else if ($('#partner_managerbundle_partner_type option:selected').val() == 0){
                $(".company").css("display","block");
                $("#partner_managerbundle_partner_companyname").prop("required");
                $("#partner_managerbundle_partner_companyregistrationnumber").prop("required");
                $(".person").css("display","none");
                $("#partner_managerbundle_partner_prefix").removeProp("required");
                $("#partner_managerbundle_partner_lastname").removeProp("required");
                $("#partner_managerbundle_partner_firstname").removeProp("required");
            }
        $('#partner_managerbundle_partner_type').change(function(){
            if ($('#partner_managerbundle_partner_type option:selected').val() == 1){
                $(".company").css("display","none");
                $("#partner_managerbundle_partner_companyregistrationnumber").removeProp("required");
                $("#partner_managerbundle_partner_companyname").removeProp("required");
                $(".person").css("display","block");
                $("#partner_managerbundle_partner_prefix").prop("required");
                $("#partner_managerbundle_partner_lastname").prop("required");
                $("#partner_managerbundle_partner_firstname").prop("required");
            }
            else if ($('#partner_managerbundle_partner_type option:selected').val() == 0){
                $(".company").css("display","block");
                $("#partner_managerbundle_partner_companyname").prop("required");
                $("#partner_managerbundle_partner_companyregistrationnumber").prop("required");
                $(".person").css("display","none");
                $("#partner_managerbundle_partner_prefix").removeProp("required");;
                $("#partner_managerbundle_partner_lastname").removeProp("required");;
                $("#partner_managerbundle_partner_firstname").removeProp("required");;
            }
            });
        $("#partner_managerbundle_partner_prefix").focusin(function(){
            $(".openform").css("display","block");
        });
        
            
        $("a.openform").fancybox();
        
            
    });
        
        
    </script>
{% endblock %}

{% block body -%}
   
    <div  id="prefixform" >
        {{ form(prefixform) }}
    </div>
    
    
    
    <h1>Partner creation</h1>
    {{ form_start(form) }}
    <hr />
        {{ form_label(form.type) }}
        {{ form_errors(form.type) }}
        {{ form_widget(form.type) }}
        <hr />
    <div class="company">
    <hr />
        {{ form_label(form.companyname) }}
        {{ form_errors(form.companyname) }}
        {{ form_widget(form.companyname) }}
    <hr />
    </div>
    <div class="person">
    <hr />
            <div style display="none">
            <a href="#prefixform" class="openform btn">Add new prefix</a>
            </div>
        {{ form_label(form.prefix) }}
        {{ form_errors(form.prefix) }}
        {{ form_widget(form.prefix) }}
    <hr />
    <hr />
        {{ form_label(form.lastname) }}
        {{ form_errors(form.lastname) }}
        {{ form_widget(form.lastname) }}
    <hr />
    <hr />
        {{ form_label(form.firstname) }}
        {{ form_errors(form.firstname) }}
        {{ form_widget(form.firstname) }}
    <hr />
    </div>
    
    <hr />
        {{ form_label(form.billingname) }}
        {{ form_errors(form.billingname) }}
        {{ form_widget(form.billingname) }}
    <hr />
    <hr />
        {{ form_label(form.partnertype) }}
        {{ form_errors(form.partnertype) }}
        {{ form_widget(form.partnertype) }}
    <hr />
    <hr />
        {{ form_label(form.email) }}
        {{ form_errors(form.email) }}
        {{ form_widget(form.email) }}
    <hr />
    <hr />
        {{ form_label(form.headquarterscountry) }}
        {{ form_errors(form.headquarterscountry) }}
        {{ form_widget(form.headquarterscountry) }}
    <hr />
    <hr />
        {{ form_label(form.headquarterspostalcode) }}
        {{ form_errors(form.headquarterspostalcode) }}
        {{ form_widget(form.headquarterspostalcode) }}
    <hr />
    <hr />
        {{ form_label(form.headquartersstation) }}
        {{ form_errors(form.headquartersstation) }}
        {{ form_widget(form.headquartersstation) }}
    <hr />
    <hr />
        {{ form_label(form.headquarterspublicspace) }}
        {{ form_errors(form.headquarterspublicspace) }}
        {{ form_widget(form.headquarterspublicspace) }}
    <hr />
    <hr />
        {{ form_label(form.headquartersaddress) }}
        {{ form_errors(form.headquartersaddress) }}
        {{ form_widget(form.headquartersaddress) }}
    <hr />
    <hr />
        {{ form_label(form.billingcountry) }}
        {{ form_errors(form.billingcountry) }}
        {{ form_widget(form.billingcountry) }}
    <hr />
    <hr />
        {{ form_label(form.billingpostalcode) }}
        {{ form_errors(form.billingpostalcode) }}
        {{ form_widget(form.billingpostalcode) }}
    <hr />
    <hr />
        {{ form_label(form.billingstation) }}
        {{ form_errors(form.billingstation) }}
        {{ form_widget(form.billingstation) }}
    <hr />
    <hr />
        {{ form_label(form.billingpublicspace) }}
        {{ form_errors(form.billingpublicspace) }}
        {{ form_widget(form.billingpublicspace) }}
    <hr />
    <hr />
        {{ form_label(form.billingaddress) }}
        {{ form_errors(form.billingaddress) }}
        {{ form_widget(form.billingaddress) }}
    <hr />
    <hr />
        {{ form_label(form.mailingcountry) }}
        {{ form_errors(form.mailingcountry) }}
        {{ form_widget(form.mailingcountry) }}
    <hr />
    <hr />
        {{ form_label(form.mailingpostalcode) }}
        {{ form_errors(form.mailingpostalcode) }}
        {{ form_widget(form.mailingpostalcode) }}
    <hr />
    <hr />
        {{ form_label(form.mailingstation) }}
        {{ form_errors(form.mailingstation) }}
        {{ form_widget(form.mailingstation) }}
    <hr />
    <hr />
        {{ form_label(form.mailingpublicspace) }}
        {{ form_errors(form.mailingpublicspace) }}
        {{ form_widget(form.mailingpublicspace) }}
    <hr />
    <hr />
        {{ form_label(form.mailingaddress) }}
        {{ form_errors(form.mailingaddress) }}
        {{ form_widget(form.mailingaddress) }}
    <hr />
    <hr />
        {{ form_label(form.taxnumber) }}
        {{ form_errors(form.taxnumber) }}
        {{ form_widget(form.taxnumber) }}
    <hr />
    <hr />
        {{ form_label(form.eutaxnumber) }}
        {{ form_errors(form.eutaxnumber) }}
        {{ form_widget(form.eutaxnumber) }}
    <hr />
    <div class="company"y
    <hr />
        {{ form_label(form.companyregistrationnumber) }}
        {{ form_errors(form.companyregistrationnumber) }}
        {{ form_widget(form.companyregistrationnumber) }}
    <hr />
    </div>
    <hr />
        {{ form_label(form.telephone) }}
        {{ form_errors(form.telephone) }}
        {{ form_widget(form.telephone) }}
    <hr />
    <hr />
        {{ form_label(form.fax) }}
        {{ form_errors(form.fax) }}
        {{ form_widget(form.fax) }}
    <hr />
    <hr />
        {{ form_label(form.mobile) }}
        {{ form_errors(form.mobile) }}
        {{ form_widget(form.mobile) }}
    <hr />
    <div class="person">
    <hr />
        {{ form_label(form.birthday) }}
        {{ form_errors(form.birthday) }}
        {{ form_widget(form.birthday) }}
    <hr />
    <hr />
        {{ form_label(form.mothername) }}
        {{ form_errors(form.mothername) }}
        {{ form_widget(form.mothername) }}
    <hr />
    <hr />
        {{ form_label(form.iDcard) }}
        {{ form_errors(form.iDcard) }}
        {{ form_widget(form.iDcard) }}
    <hr />
    </div>

    {{ form_end(form) }}


        <ul class="record_actions">
    <li>
        <a href="{{ path('partner') }}">
            Back to the list
        </a>
    </li>
</ul>
{% endblock %}
{% block javascript %}

{% endblock %}
